GIT-DMB(1)

NAME
git-dmb - Command-line tool to delete merged Git branches

SYNOPSIS

git-dmb [--configure | --help | --version] [--branch BRANCH] [--effort LEVEL] [--remote REMOTE] [--exclude BRANCH] [--include-regex PATTERN] [--debug] [--dry-run] [--verbose] [--yes]

DESCRIPTION

Command-line tool to delete merged Git branches

  modes:

--configure
    configure git-delete-merged-branches and exit (without processing any branches)

--help, -h
    show this help message and exit

--version
    show program's version number and exit

  rules:

--branch, -b BRANCH
    require the given branch as a merge target (instead of what is configured for this repository); can be passed multiple times

--effort LEVEL
    level of effort to put into finding merged branches; level 1 uses nothing but "git branch --merged", level 2 adds use of "git cherry", level 3 adds use of "git cherry" on temporary squashed copies (default level: 2)

  scope:

--remote, -r REMOTE
    process the given remote (instead of the remotes that are configured for this repository); can be passed multiple times

--exclude, -x BRANCH
    exclude the given branch from deletion (in addition to the exclusion list that is configured for this repository); can be passed multiple times

--include-regex PATTERN
    only consider branches for deletion that match the given regular expression (e.g. "^issue-"); syntax is that of Python module "re"; can be passed multiple times, then acts in logical conjunction ("and")

  flags:

--debug
    enable debugging output

--dry-run, -n
    perform a trial run with no changes made

--verbose, -v
    enable verbose output

--yes, -y
    do not ask for confirmation, assume reply "yes"

EPILOG
Software libre licensed under GPL v3 or later. Brought to you by Sebastian Pipping <sebastian@pipping.org>.

Please report bugs at https://github.com/hartwork/git-delete-merged-branches — thank you!